VARKON Version 1.15 1997-10-24

> ## angle - Function

> Geometrical function
> Description
> Returns the angle between the positive X-axis and a line from X=Y=0 to a given position.
> Syntax
> angle(x, y)

> FLOAT | x;
> FLOAT | y;

> Principal parameters

> x | - X-coordinate of position
> y | - Y-coordinate of position

> Optional parameters

> None. |

> Return value
> A FLOAT value equal to the corresponding angle in degrees.
> Example
> angle(1,0) = 0 Degrees
> angle(1,1) = 45 Degrees
> angle(0,1) = 90 Degrees
> angle(1,-1) = -45 Degrees
> angle(-1,1) = 135 Degrees
> Comments
> Basically does the same job as the trigonometric function angle but deals with angles larger than or equal to 90 degrees.

VARKON Homepage | Index